Jazzyjaz99

Members
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Jazzyjaz99

  • Rank
    Curious George
  1. Not sure if this is a problem with Kerbal stuff or here but Kerbal stuff says that the mod is outdated for the KSP version .90 recently released while here it seems to say its compatible with .90. Which one is wrong? Glorious Mod by the way